Skip to main content

The Spanish version is the authoritative reference. View in Spanish

Paraguay: Method to query the RUC with the Tax Authority (GetAccount)

This method allows you to query information about a given RUC by making a direct query to SIFEN's records, in order to know the status of a RUC and determine whether it is possible to issue documents to it. The method reports whether the queried RUC exists or not in SIFEN's records, and if it exists, reports whether it is Active, suspended, blocked, or canceled, and whether or not it is an electronic biller.

To connect to this functionality, you will need to enter the URL according to the environment you want to use:

PRODUCTIONhttps://developers.gosocket.net/api/v1/Account/GetAccount
SANDBOXhttps://developers-sbx.gosocket.net/api/v1/Account/GetAccount

How does the GetAccount method work?

BEFORE YOU START

It is important to note that this method must be enabled by Gosocket in order to use it.

Request access from the Gosocket sales team.

To make the request, the method has the following parameters with the following structure:

GetAccount (request)

ParameterTypeDescriptionAllowed values
AccountCodeStringTax ID to querySee the Tax ID Structure table
countryIdStringCountry code of the company making the querypy

Request example

image-20240516-191019.png

Note

Remember that before using the method, you must authenticate within the Authorization tab.

For this method, we use the Postman Params tab.

  1. Select the method type. In this case, you must select GET.
  2. Enter the method's URL.
  3. Enter the parameter shown in the table above with its corresponding value.
  4. Press Send.

Response examples

{
  "ErrorMessage": null,
  "IsValid": false,
  "StatusCode": "500",
  "StatusDescription": "Empresa no activa para utilizar el evento GetAccount",
  "StatusMessage": "Empresa no activa para utilizar el evento GetAccount",
  "XmlBase64Bytes": null,
  "XmlBytes": null,
  "XmlDocumentKey": null,
  "XmlFileName": null,
  "ResponseType": null,
  "OtherData": null,
  "GlobalDocumentId": "00000000-0000-0000-0000-000000000000",
  "Timestamp": null,
  "Response": null,
  "TaxDocument": null,
  "PrinterXml": null
}

To properly interpret this response, take into account the following parameters:

GetAccount (response)

ParameterTypeDescriptionAllowed values
errorMessageStringcode | description as applicable, returned error messages
isValidBoolean- true when the RUC is valid
- false when it is not valid
- True
- False
statusCodeStringResponse codeSee the response codes table below.
statusDescriptionStringDescription of the code
StatusMessageStringResponse code statusCode - statusDescription
xmlBase64BytesStringBase64-encoded XML returned by SIFEN
xmlBytesStringnull
XmlDocumentKeyStringQueried Tax ID
XmlFileNameStringnull
ResponseTypeStringResponse type: SynchronousSync
OtherDataStringOnly when the query has completed successfully is it returned with the parameters below:
- BusinessNameRUC
- StatusCodeRUC
- StatusDescriptionRUC
- IsBillerElectronicRUC
OtherData.BusinessNameRUCStringdRazCons"CLIENT NAME"
OtherData.StatusCodeRUCStringdCodEstConsExample: "ACT"
OtherData.StatusDescriptionRUCStringdDesEstConsExample: "ACTIVO"
OtherData.IsBillerElectronicRUCStringdRUCFactElecExample: "S"
GlobalDocumentIdStringQuery TrackIdUUID
TimestampStringQuery date-time2025-05-02T21:50:31.7268377Z
ResponseStringnull
TaxDocumentStringnull
PrinterXmlStringnull

Response codes

CodeDescription
0460Input data message of the siConsRUC WS exceeds 1000 KB
0500RUC does not exist
0501RUC does not have permission to use the WS
0502Query successful